Boomi API Control Plane REST API - Subscriptions
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get subscription by ID
Get a single subscription.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| apiProduct required | string <uuid> API Product UUID. |
| apiProductAccessible required | boolean True if the current user can access the subscribed API Product. If false, attempting to fetch the API Product will fail. |
| application required | string <uuid> Application UUID. |
| applicationAccessible required | boolean True if the current user can access this Subscriptions Application. If false, attempting to fetch the Application will fail. |
| plan required | string <uuid> Plan UUID. |
| environments | Array of strings <uuid> [ items <uuid > ] Deployed environment UUIDs. Currently not included in responses, except for Subscription creation. |
| id | string <uuid> System-assigned ID (read-only). |
| approvalStatus | string Enum: "APPROVED" "PENDING" "DECLINED" APPROVED, PENDING, or DECLINED. |
| approvalRequest | string <uuid> Approval request UUID (if enabled). |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| termsOfUseAccepted | boolean Terms accepted by subscriber. |
| applicationDisplayName | string Name of this Subscriptions Application |
| applicationOwnerDisplayName | string Name of the organization owning this Subscriptions Application. |
| apiProductDisplayName | string Name of the subscribed API Product. |
| planDisplayName | string Name of the Plan used by this Subscription. |
object (ApiProductDTO) Expanded API Product (some responses). | |
| apiProductImage | string Base64-encoded image of the API product (some responses). |
object (PlanDTO) Expanded Plan (some responses). |
Response samples
- 200
- default
{- "application": "123e4567-e89b-12d3-a456-426614174000",
- "apiProduct": "123e4567-e89b-12d3-a456-426614174000",
- "plan": "123e4567-e89b-12d3-a456-426614174000",
- "environments": "[123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000]",
- "id": "123e4567-e89b-12d3-a456-426614174000",
- "approvalStatus": "APPROVED",
- "approvalRequest": "123e4567-e89b-12d3-a456-426614174000",
- "deploymentStatus": "COMPLETE",
- "termsOfUseAccepted": true,
- "applicationDisplayName": "Business Application",
- "applicationOwnerDisplayName": "Default Organization",
- "applicationAccessible": true,
- "apiProductDisplayName": "Petstore APIs",
- "apiProductAccessible": true,
- "planDisplayName": "gold",
- "apiProductDTO": {
- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}, - "apiProductImage": "string",
- "planDTO": {
- "id": 1,
- "displayName": "gold",
- "description": "some text...",
- "quotaHits": 1000,
- "quotaInterval": "DAY",
- "rateLimit": 10,
- "rateInterval": "SECOND",
- "deploymentStatus": "COMPLETE"
}
}Update a subscription
Update an existing subscription - currently only the plan can be changed.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| plan required | string <uuid> UUID of the plan to switch to. |
Responses
Response Schema: application/json
| apiProduct required | string <uuid> API Product UUID. |
| apiProductAccessible required | boolean True if the current user can access the subscribed API Product. If false, attempting to fetch the API Product will fail. |
| application required | string <uuid> Application UUID. |
| applicationAccessible required | boolean True if the current user can access this Subscriptions Application. If false, attempting to fetch the Application will fail. |
| plan required | string <uuid> Plan UUID. |
| environments | Array of strings <uuid> [ items <uuid > ] Deployed environment UUIDs. Currently not included in responses, except for Subscription creation. |
| id | string <uuid> System-assigned ID (read-only). |
| approvalStatus | string Enum: "APPROVED" "PENDING" "DECLINED" APPROVED, PENDING, or DECLINED. |
| approvalRequest | string <uuid> Approval request UUID (if enabled). |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| termsOfUseAccepted | boolean Terms accepted by subscriber. |
| applicationDisplayName | string Name of this Subscriptions Application |
| applicationOwnerDisplayName | string Name of the organization owning this Subscriptions Application. |
| apiProductDisplayName | string Name of the subscribed API Product. |
| planDisplayName | string Name of the Plan used by this Subscription. |
object (ApiProductDTO) Expanded API Product (some responses). | |
| apiProductImage | string Base64-encoded image of the API product (some responses). |
object (PlanDTO) Expanded Plan (some responses). |
Request samples
- Payload
{- "plan": 1
}Response samples
- 200
- default
{- "application": "123e4567-e89b-12d3-a456-426614174000",
- "apiProduct": "123e4567-e89b-12d3-a456-426614174000",
- "plan": "123e4567-e89b-12d3-a456-426614174000",
- "environments": "[123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000]",
- "id": "123e4567-e89b-12d3-a456-426614174000",
- "approvalStatus": "APPROVED",
- "approvalRequest": "123e4567-e89b-12d3-a456-426614174000",
- "deploymentStatus": "COMPLETE",
- "termsOfUseAccepted": true,
- "applicationDisplayName": "Business Application",
- "applicationOwnerDisplayName": "Default Organization",
- "applicationAccessible": true,
- "apiProductDisplayName": "Petstore APIs",
- "apiProductAccessible": true,
- "planDisplayName": "gold",
- "apiProductDTO": {
- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}, - "apiProductImage": "string",
- "planDTO": {
- "id": 1,
- "displayName": "gold",
- "description": "some text...",
- "quotaHits": 1000,
- "quotaInterval": "DAY",
- "rateLimit": 10,
- "rateInterval": "SECOND",
- "deploymentStatus": "COMPLETE"
}
}Delete a subscription
Delete a subscription.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| undeploy | boolean |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List all subscriptions
Get a filtered and paged list of all subscriptions. Only includes subscriptions for which you have full access to the application or API Product.
Authorizations:
query Parameters
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| apiProduct | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| application | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| api | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| environment | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| applicationDisplayName | string |
| accessibleApplicationsOnly | boolean |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (SubscriptionDTO) List of SubscriptionDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "application": "123e4567-e89b-12d3-a456-426614174000",
- "apiProduct": "123e4567-e89b-12d3-a456-426614174000",
- "plan": "123e4567-e89b-12d3-a456-426614174000",
- "environments": "[123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000]",
- "id": "123e4567-e89b-12d3-a456-426614174000",
- "approvalStatus": "APPROVED",
- "approvalRequest": "123e4567-e89b-12d3-a456-426614174000",
- "deploymentStatus": "COMPLETE",
- "termsOfUseAccepted": true,
- "applicationDisplayName": "Business Application",
- "applicationOwnerDisplayName": "Default Organization",
- "applicationAccessible": true,
- "apiProductDisplayName": "Petstore APIs",
- "apiProductAccessible": true,
- "planDisplayName": "gold",
- "apiProductDTO": {
- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- null
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": null,
- "version": null
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}, - "apiProductImage": "string",
- "planDTO": {
- "id": 1,
- "displayName": "gold",
- "description": "some text...",
- "quotaHits": 1000,
- "quotaInterval": "DAY",
- "rateLimit": 10,
- "rateInterval": "SECOND",
- "deploymentStatus": "COMPLETE"
}
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create a new subscription
Create a new subscription.
Authorizations:
Request Body schema: application/jsonrequired
| apiProduct required | string <uuid> API Product UUID. |
| application required | string <uuid> Application UUID. |
| plan required | string <uuid> Plan UUID. |
| environments | Array of strings <uuid> [ items <uuid > ] Deployed environment UUIDs. Currently not included in responses, except for Subscription creation. |
Responses
Response Schema: application/json
| apiProduct required | string <uuid> API Product UUID. |
| apiProductAccessible required | boolean True if the current user can access the subscribed API Product. If false, attempting to fetch the API Product will fail. |
| application required | string <uuid> Application UUID. |
| applicationAccessible required | boolean True if the current user can access this Subscriptions Application. If false, attempting to fetch the Application will fail. |
| plan required | string <uuid> Plan UUID. |
| environments | Array of strings <uuid> [ items <uuid > ] Deployed environment UUIDs. Currently not included in responses, except for Subscription creation. |
| id | string <uuid> System-assigned ID (read-only). |
| approvalStatus | string Enum: "APPROVED" "PENDING" "DECLINED" APPROVED, PENDING, or DECLINED. |
| approvalRequest | string <uuid> Approval request UUID (if enabled). |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| termsOfUseAccepted | boolean Terms accepted by subscriber. |
| applicationDisplayName | string Name of this Subscriptions Application |
| applicationOwnerDisplayName | string Name of the organization owning this Subscriptions Application. |
| apiProductDisplayName | string Name of the subscribed API Product. |
| planDisplayName | string Name of the Plan used by this Subscription. |
object (ApiProductDTO) Expanded API Product (some responses). | |
| apiProductImage | string Base64-encoded image of the API product (some responses). |
object (PlanDTO) Expanded Plan (some responses). |
Request samples
- Payload
{- "application": "123e4567-e89b-12d3-a456-426614174000",
- "apiProduct": "123e4567-e89b-12d3-a456-426614174000",
- "plan": "123e4567-e89b-12d3-a456-426614174000",
- "environments": "[123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000]",
- "apiProductDTO": {
- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}, - "planDTO": {
- "id": 1,
- "displayName": "gold",
- "description": "some text...",
- "quotaHits": 1000,
- "quotaInterval": "DAY",
- "rateLimit": 10,
- "rateInterval": "SECOND",
- "deploymentStatus": "COMPLETE"
}
}Response samples
- 200
- default
{- "application": "123e4567-e89b-12d3-a456-426614174000",
- "apiProduct": "123e4567-e89b-12d3-a456-426614174000",
- "plan": "123e4567-e89b-12d3-a456-426614174000",
- "environments": "[123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000]",
- "id": "123e4567-e89b-12d3-a456-426614174000",
- "approvalStatus": "APPROVED",
- "approvalRequest": "123e4567-e89b-12d3-a456-426614174000",
- "deploymentStatus": "COMPLETE",
- "termsOfUseAccepted": true,
- "applicationDisplayName": "Business Application",
- "applicationOwnerDisplayName": "Default Organization",
- "applicationAccessible": true,
- "apiProductDisplayName": "Petstore APIs",
- "apiProductAccessible": true,
- "planDisplayName": "gold",
- "apiProductDTO": {
- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}, - "apiProductImage": "string",
- "planDTO": {
- "id": 1,
- "displayName": "gold",
- "description": "some text...",
- "quotaHits": 1000,
- "quotaInterval": "DAY",
- "rateLimit": 10,
- "rateInterval": "SECOND",
- "deploymentStatus": "COMPLETE"
}
}Regenerate API key for a subscription
Regenerate API key and/or secret (depends on platform type).
Authorizations:
path Parameters
| subId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| apiId | string <uuid> |
Responses
Response Schema: application/json
required | Array of objects (AccessPermissionApiDetails) Per-API access details. |
| deployedForProduct required | boolean Whether this permission was deployed for an API product. |
| environment required | string <uuid> Environment UUID. |
| id required | string <uuid> Unique identifier of the access permission. |
| subscription required | string <uuid> Subscription UUID. |
| keyType | string Enum: "API_KEY" "API_KEY_AND_SECRET" API_KEY or OAUTH. |
| apiKey | string The API key value. |
| apiSecret | string For OAuth client credentials. |
Response samples
- 200
- default
{- "deployedForProduct": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "subscription": "da7489c5-d730-47b7-9958-07300ef9d3d8",
- "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
- "apiDetails": [
- {
- "apiUrl": "string",
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "apiDisplayName": "string",
- "keyType": "API_KEY",
- "apiKey": "string",
- "apiSecret": "string",
- "endpoints": [
- {
- "name": "string",
- "url": "string",
- "gatewayId": "string",
- "authentication": {
- "apiKeys": {
- "requestHeaders": {
- "property1": "string",
- "property2": "string"
}, - "requestParameters": {
- "property1": "string",
- "property2": "string"
}, - "requestBody": {
- "property1": "string",
- "property2": "string"
}, - "requestPath": {
- "property1": "string",
- "property2": "string"
}, - "custom": {
- "property1": "string",
- "property2": "string"
}
}
}
}
]
}
], - "keyType": "API_KEY",
- "apiKey": "string",
- "apiSecret": "string"
}Regenerate API key asynchronously
Asynchronously regenerate API key and/or secret (depends on platform type).
Authorizations:
path Parameters
| subId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| apiId | string <uuid> |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Deploy subscription to gateway environments
Deploy a subscription to any environment where it is required.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Deploy subscription asynchronously
Asynchronously deploy a subscription to any environment where it is required.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Get access credentials for a subscription
Get one access permission by id for a subscription.
Authorizations:
path Parameters
| subId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
required | Array of objects (AccessPermissionApiDetails) Per-API access details. |
| deployedForProduct required | boolean Whether this permission was deployed for an API product. |
| environment required | string <uuid> Environment UUID. |
| id required | string <uuid> Unique identifier of the access permission. |
| subscription required | string <uuid> Subscription UUID. |
| keyType | string Enum: "API_KEY" "API_KEY_AND_SECRET" API_KEY or OAUTH. |
| apiKey | string The API key value. |
| apiSecret | string For OAuth client credentials. |
Response samples
- 200
- default
{- "deployedForProduct": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "subscription": "da7489c5-d730-47b7-9958-07300ef9d3d8",
- "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
- "apiDetails": [
- {
- "apiUrl": "string",
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "apiDisplayName": "string",
- "keyType": "API_KEY",
- "apiKey": "string",
- "apiSecret": "string",
- "endpoints": [
- {
- "name": "string",
- "url": "string",
- "gatewayId": "string",
- "authentication": {
- "apiKeys": {
- "requestHeaders": {
- "property1": "string",
- "property2": "string"
}, - "requestParameters": {
- "property1": "string",
- "property2": "string"
}, - "requestBody": {
- "property1": "string",
- "property2": "string"
}, - "requestPath": {
- "property1": "string",
- "property2": "string"
}, - "custom": {
- "property1": "string",
- "property2": "string"
}
}
}
}
]
}
], - "keyType": "API_KEY",
- "apiKey": "string",
- "apiSecret": "string"
}List subscription deployments across environments
Get all deployments for a subscription.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiProductSubscriptionDeploymentDTO) List of ApiProductSubscriptionDeploymentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "deployedForApiProduct": true,
- "environment": 1,
- "subscription": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "what went wrong...",
- "id": 1,
- "apiSubscriptionDeployments": [
- {
- "environment": 1,
- "subscription": 1,
- "api": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "what went wrong...",
- "id": 1
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List all access credentials for a subscription
Get access permissions (=api keys) for a subscription.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
required | Array of objects (AccessPermissionApiDetails) Per-API access details. |
| deployedForProduct required | boolean Whether this permission was deployed for an API product. |
| environment required | string <uuid> Environment UUID. |
| id required | string <uuid> Unique identifier of the access permission. |
| subscription required | string <uuid> Subscription UUID. |
| keyType | string Enum: "API_KEY" "API_KEY_AND_SECRET" API_KEY or OAUTH. |
| apiKey | string The API key value. |
| apiSecret | string For OAuth client credentials. |
Response samples
- 200
- default
[- {
- "deployedForProduct": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "subscription": "da7489c5-d730-47b7-9958-07300ef9d3d8",
- "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
- "apiDetails": [
- {
- "apiUrl": "string",
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "apiDisplayName": "string",
- "keyType": "API_KEY",
- "apiKey": "string",
- "apiSecret": "string",
- "endpoints": [
- {
- "name": "string",
- "url": "string",
- "gatewayId": "string",
- "authentication": {
- "apiKeys": {
- "requestHeaders": {
- "property1": "string",
- "property2": "string"
}, - "requestParameters": {
- "property1": "string",
- "property2": "string"
}, - "requestBody": {
- "property1": "string",
- "property2": "string"
}, - "requestPath": {
- "property1": "string",
- "property2": "string"
}, - "custom": {
- "property1": "string",
- "property2": "string"
}
}
}
}
]
}
], - "keyType": "API_KEY",
- "apiKey": "string",
- "apiSecret": "string"
}
]Get accepted terms of use for a subscription
All detail about the accepted versions of terms of use documents and who accepted them.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
required | Array of objects (TermsOfUseAndVersion) List of terms-of-use documents and versions that were accepted. |
object (UserDTO) The user who accepted the terms. | |
| acceptedAt | string <date-time> Timestamp when the terms were accepted. |
Response samples
- 200
- default
{- "acceptedBy": {
- "username": "Max Muster",
- "displayName": "Max Mustermann",
- "email": "max.mustermann@apiida.com",
- "status": "ACTIVE",
- "password": "examplePassword",
- "role": "GLOBAL_ADMIN",
- "organization": 1,
- "firstName": "Max",
- "lastName": "Mustermann",
- "origin": "MANUAL",
- "termsOfUseAccepted": true,
- "id": 1,
- "hasImage": true,
- "locked": false,
- "externalUserId": "string",
- "platformPrivileges": [
- "string"
]
}, - "acceptedAt": "2019-08-24T14:15:22Z",
- "acceptedVersions": [
- {
- "termsOfUse": {
- "name": "string",
- "active": true,
- "defaultForApiProducts": true,
- "defaultForDevPortals": true,
- "createdAt": "2019-08-24T14:15:22Z",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}, - "version": {
- "number": 0,
- "fileName": "string",
- "fileHash": "string",
- "createdAt": "2019-08-24T14:15:22Z"
}
}
]
}Delete subscription asynchronously
Asynchronously delete a subscription.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| undeploy | boolean |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}